<?php
/**
 * Filename: _database_squeeze.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class sbpDatabaseSqueeze extends sbpDatabase {

	var $tableOptins;
	var $tableOptinsCount;
	var $tableOptins_version;

	var $tableAffiliates;
	var $tableAffiliatesDefaults;
	var $tableAffiliates_version;

	var $tableThankyou;
	var $tableThankyouDefaults;
	var $tableThankyou_version;

	var $tableRecentPosts;
	var $tableRecentPostsDefaults;
	var $tableRecentPosts_version;

	function __construct() {
		parent::__construct();

		$this->tableOptins          = $this->tableName .'_optins';
		$this->tableOptins_version  = '1.0.1';
		$this->tableOptinsCount     = 1;

		$this->tableAffiliates          = $this->tableName .'_affiliates';
		$this->tableAffiliates_version  = '1.0.0';
		$this->tableAffiliatesDefaults  = array(
			'title'         => SBP_NAME .' Affiliates',
			'title_hide'    => SBP_YES,

			'contents'      => '',

			'homepage'      => SBP_DISABLED,
			'pages'         => '',
			'posts'         => SBP_DISABLED,
			'postsid'       => ''
		);

		$this->tableThankyou        = $this->tableName .'_thankyou';
		$this->tableThankyou_version= '1.0.0';
		$this->tableThankyouDefaults= array(
			'title'         => SBP_NAME .' Thank You',
			'title_hide'    => SBP_YES,

			'contents'      => '',

			'homepage'      => SBP_DISABLED,
			'pages'         => '',
			'posts'         => SBP_DISABLED,
			'postsid'       => ''
		);

		$this->tableRecentPosts         = $this->tableName .'_recent_posts';
		$this->tableRecentPosts_version = '1.0.0';
		$this->tableRecentPostsDefaults = array(
			'title'         => SBP_NAME .' Recent Posts',
			'title_hide'    => SBP_YES,

			'contents'      => '',
			'how_many'      => 0,

			'homepage'      => SBP_DISABLED,
			'pages'         => '',
			'posts'         => SBP_DISABLED,
			'postsid'       => ''
		);
	}

	function install() {
		$this->_installTableOptins();
		$this->_installTableAffiliates();
		$this->_installTableThankyou();
		$this->_installTableRecentPosts();
	}

		function _installTableRecentPosts() {
			$options = get_option($this->tableRecentPosts);
			$version = get_option($this->tableRecentPosts .'_version');
			if ($version != $this->tableRecentPosts_version) {
				if (!is_array($options) || is_array($options)) {
					update_option($this->tableRecentPosts, $this->tableRecentPostsDefaults);
				}
			}
			update_option($this->tableRecentPosts .'_version', $this->tableRecentPosts_version);
		}

		function _installTableThankyou() {
			$options = get_option($this->tableThankyou);
			$version = get_option($this->tableThankyou .'_version');
			if ($version != $this->tableThankyou_version) {
				if (!is_array($options) || is_array($options)) {
					update_option($this->tableThankyou, $this->tableThankyouDefaults);
				}
			}
			update_option($this->tableThankyou .'_version', $this->tableThankyou_version);
		}

		function _installTableAffiliates() {
			$options = get_option($this->tableAffiliates);
			$version = get_option($this->tableAffiliates .'_version');
			if ($version != $this->tableAffiliates_version) {
				if (!is_array($options) || is_array($options)) {
					update_option($this->tableAffiliates, $this->tableAffiliatesDefaults);
				}
			}
			update_option($this->tableAffiliates .'_version', $this->tableAffiliates_version);
		}

		function _installTableOptins() {
			if (0 != $this->tableOptinsCount) {
				for ($i = 1; $i <= $this->tableOptinsCount; $i++) {
					$version = get_option($this->tableOptins .'_'. $i .'_version');
					if ($version != $this->tableOptins_version) {
						$optins = $this->tableOptins .'_'. $i;
						$defaults = array(
							'title'                     => SBP_NAME .' Optin '. $i,
							'title_hide'                => SBP_YES,

							'homepage'                  => SBP_DISABLED,
							'pages'                     => SBP_DISABLED,
							'pagesid'                   => '',
							'posts'                     => SBP_DISABLED,
							'postsid'                   => '',

							'contents'                  => '',

							'is_aweber'                 => SBP_ENABLED,
							'aweber_listname'           => '',
							'aweber_thankyou'           => '',
							'aweber_bullet_1'           => '',
							'aweber_bullet_2'           => '',
							'aweber_bullet_3'           => '',
							'not_aweber_contents'       => '',

							'privacy'                   => '',

							'theme'                     => 'theme_3',
							'theme_main_bg'             => '#e0e7cd',
							'theme_main_border_color'   => '#e0e7cd',

							'theme_headline_color'      => '#fff',
							'theme_headline_bold'       => 'bold',

							'theme_txtbox_width'        => '80%',
							'theme_txtbox_border_color' => '#994700',
							'theme_txtbox_fontsize'     => '12px',

							'theme_btn_img'             => 'no',
							'theme_btn_img_src'         => '',
							'theme_btn_img_size'        => 300,

							'theme_btn_value'           => 'YES! Let Me In!',
							'theme_btn_bg'              => '#fe7400',
							'theme_btn_color'           => '#39455b',
							'theme_btn_border_color'    => '#fe7400',
							'theme_btn_bold'            => 'bold',
							'theme_btn_fontsize'        => '16px'
						);
						update_option($optins, $defaults);
					}
					update_option($this->tableOptins .'_'. $i .'_version', $this->tableOptins_version);
				}
			}
		}

	function uninstall() {}


	function updateOptin() {
		if ($_POST) {
			$id                         = intval($_POST['id']);

			$title                      = trim(strip_tags($_POST['title']));
			$title_hide                 = (trim(strip_tags($_POST['titleHide'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;

			$homepage                   = (trim(strip_tags($_POST['homepage'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pages                      = (trim(strip_tags($_POST['pages'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pagesid                    = str_replace(', ', ',', trim(strip_tags($_POST['pagesId'])));
			$posts                      = (trim(strip_tags($_POST['posts'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$postsid                    = str_replace(', ', ',', trim(strip_tags($_POST['postsId'])));

			$contents                   = $_POST['contents'];

			$is_aweber                  = (trim(strip_tags($_POST['isAweber'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$aweber_listname            = trim(strip_tags($_POST['aweberListname']));
			$aweber_thankyou            = trim(strip_tags($_POST['aweberThankyou']));
			$aweber_bullet_1            = trim(strip_tags($_POST['aweberBullet1']));
			$aweber_bullet_2            = trim(strip_tags($_POST['aweberBullet2']));
			$aweber_bullet_3            = trim(strip_tags($_POST['aweberBullet3']));
			$not_aweber_contents        = $_POST['notAweberContents'];

			$privacy                    = $_POST['privacy'];

			$theme                      = trim(strip_tags($_POST['theme']));
			$theme_main_bg              = trim(strip_tags($_POST['mainBg']));
			$theme_main_border_color    = trim(strip_tags($_POST['mainBorderColor']));

			$theme_headline_color       = trim(strip_tags($_POST['headlineColor']));
			$theme_headline_bold        = trim(strip_tags($_POST['headlineBold']));

			$theme_txtbox_border_color  = trim(strip_tags($_POST['txtboxBorderColor']));
			$theme_txtbox_width         = trim(strip_tags($_POST['txtboxWidth']));
			$theme_txtbox_fontsize      = trim(strip_tags($_POST['txtboxFontsize']));

			$theme_btn_img              = trim(strip_tags($_POST['btnImg']));
			$theme_btn_img_src          = trim(strip_tags($_POST['btnImgSrc']));
			$theme_btn_img_size         = trim(strip_tags($_POST['btnImgSize']));
			$theme_btn_value            = trim(strip_tags($_POST['btnValue']));
			$theme_btn_bg               = trim(strip_tags($_POST['btnBg']));
			$theme_btn_color            = trim(strip_tags($_POST['btnColor']));
			$theme_btn_border_color     = trim(strip_tags($_POST['btnBorderColor']));
			$theme_btn_bold             = trim(strip_tags($_POST['btnBold']));
			$theme_btn_fontsize         = trim(strip_tags($_POST['btnFontsize']));


			$table = $this->tableOptins .'_'. $id;
			$optin = get_option($table);
			if (!is_array($optin) || is_array($optin)) {
				$data = array(
					'title'                     => $title,
					'title_hide'                => $title_hide,

					'homepage'                  => $homepage,
					'pages'                     => $pages,
					'pagesid'                   => $pagesid,
					'posts'                     => $posts,
					'postsid'                   => $postsid,

					'contents'                  => $contents,

					'is_aweber'                 => $is_aweber,
					'aweber_listname'           => $aweber_listname,
					'aweber_thankyou'           => $aweber_thankyou,
					'aweber_bullet_1'           => $aweber_bullet_1,
					'aweber_bullet_2'           => $aweber_bullet_2,
					'aweber_bullet_3'           => $aweber_bullet_3,
					'not_aweber_contents'       => $not_aweber_contents,

					'privacy'                   => $privacy,

					'theme'                     => $theme,
					'theme_main_bg'             => $theme_main_bg,
					'theme_main_border_color'   => $theme_main_border_color,

					'theme_headline_color'      => $theme_headline_color,
					'theme_headline_bold'       => $theme_headline_bold,

					'theme_txtbox_width'        => $theme_txtbox_width,
					'theme_txtbox_border_color' => $theme_txtbox_border_color,
					'theme_txtbox_fontsize'     => $theme_txtbox_fontsize,

					'theme_btn_img'             => $theme_btn_img,
					'theme_btn_img_src'         => $theme_btn_img_src,
					'theme_btn_img_size'        => $theme_btn_img_size,

					'theme_btn_value'           => $theme_btn_value,
					'theme_btn_bg'              => $theme_btn_bg,
					'theme_btn_color'           => $theme_btn_color,
					'theme_btn_border_color'    => $theme_btn_border_color,
					'theme_btn_bold'            => $theme_btn_bold,
					'theme_btn_fontsize'        => $theme_btn_fontsize
				);
				update_option($table, $data);
			}
			die ('done');
		}
		die ('error');
	}

	function updateAffiliates() {
		if ($_POST) {
			$title      = trim(strip_tags($_POST['title']));
			$title_hide = (trim(strip_tags($_POST['titleHide'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;

			$homepage   = (trim(strip_tags($_POST['homepage'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pages      = (trim(strip_tags($_POST['pages'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pagesid    = str_replace(', ', ',', trim(strip_tags($_POST['pagesid'])));
			$posts      = (trim(strip_tags($_POST['posts'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$postsid    = str_replace(', ', ',', trim(strip_tags($_POST['postsid'])));

			$contents   = $_POST['contents'];


			$table      = $this->tableAffiliates;
			$options    = get_option($table);
			if (!is_array($options) || is_array($options)) {
				$data = array(
					'title'         => $title,
					'title_hide'    => $title_hide,

					'homepage'      => $homepage,
					'pages'         => $pages,
					'pagesid'       => $pagesid,
					'posts'         => $posts,
					'postsid'       => $postsid,

					'contents'      => $contents
				);
				update_option($table, $data);
			}

			die ('done');
		}
		die ('error');
	}

	function updateThankyou() {
		if ($_POST) {
			$title      = trim(strip_tags($_POST['title']));
			$title_hide = (trim(strip_tags($_POST['titleHide'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;

			$homepage   = (trim(strip_tags($_POST['homepage'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pages      = (trim(strip_tags($_POST['pages'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pagesid    = str_replace(', ', ',', trim(strip_tags($_POST['pagesid'])));
			$posts      = (trim(strip_tags($_POST['posts'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$postsid    = str_replace(', ', ',', trim(strip_tags($_POST['postsid'])));

			$contents   = $_POST['contents'];


			$table      = $this->tableThankyou;
			$options    = get_option($table);
			if (!is_array($options) || is_array($options)) {
				$data = array(
					'title'         => $title,
					'title_hide'    => $title_hide,

					'contents'      => $contents,

					'homepage'      => $homepage,
					'pages'         => $pages,
					'pagesid'       => $pagesid,
					'posts'         => $posts,
					'postsid'       => $postsid
				);
				update_option($table, $data);
			}

			die ('done');
		}
		die ('error');
	}

	function updateRecentPosts() {
		if ($_POST) {
			$title      = trim(strip_tags($_POST['title']));
			$title_hide = (trim(strip_tags($_POST['titleHide'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;

			$homepage   = (trim(strip_tags($_POST['homepage'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pages      = (trim(strip_tags($_POST['pages'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$pagesid    = str_replace(', ', ',', trim(strip_tags($_POST['pagesid'])));
			$posts      = (trim(strip_tags($_POST['posts'])) == 'true') ? SBP_ENABLED : SBP_DISABLED;
			$postsid    = str_replace(', ', ',', trim(strip_tags($_POST['postsid'])));

			$contents   = $_POST['contents'];
			$how_many   = intval($_POST['howmany']);


			$table      = $this->tableRecentPosts;
			$options    = get_option($table);
			if (!is_array($options) || is_array($options)) {
				$data = array(
					'title'         => $title,
					'title_hide'    => $title_hide,

					'contents'      => $contents,
					'how_many'      => $how_many,

					'homepage'      => $homepage,
					'pages'         => $pages,
					'pagesid'       => $pagesid,
					'posts'         => $posts,
					'postsid'       => $postsid
				);
				update_option($table, $data);
			}

			die ('done');
		}
		die ('error');
	}
}